
        Assets = 
{       
        Asset( "IMAGE", "minimap/chester_eyebone.tex" ),
        Asset( "ATLAS", "minimap/chester_eyebone.xml" ),
        Asset( "IMAGE", "minimap/rabbithole.tex" ),
        Asset( "ATLAS", "minimap/rabbithole.xml" ),
        Asset( "IMAGE", "minimap/koalefant_summer.tex" ),
        Asset( "ATLAS", "minimap/koalefant_summer.xml" ),
        Asset( "IMAGE", "minimap/koalefant_winter.tex" ),
        Asset( "ATLAS", "minimap/koalefant_winter.xml" ),
        Asset( "IMAGE", "minimap/koalefant_nightmare.tex" ),
        Asset( "ATLAS", "minimap/koalefant_nightmare.xml" ),
        Asset( "IMAGE", "minimap/koalefant_feathered.tex" ),
        Asset( "ATLAS", "minimap/koalefant_feathered.xml" ),
        Asset( "IMAGE", "minimap/koalefant_forest.tex" ),
        Asset( "ATLAS", "minimap/koalefant_forest.xml" ),
        Asset( "IMAGE", "minimap/koalefant_rocky.tex" ),
        Asset( "ATLAS", "minimap/koalefant_rocky.xml" ),
        Asset( "IMAGE", "minimap/beefalo.tex" ),
        Asset( "ATLAS", "minimap/beefalo.xml" ),
        Asset( "IMAGE", "minimap/babybeefalo.tex" ),
        Asset( "ATLAS", "minimap/babybeefalo.xml" ),
        Asset( "IMAGE", "minimap/bearger.tex" ),
        Asset( "ATLAS", "minimap/bearger.xml" ),
        Asset( "IMAGE", "minimap/deerclops.tex" ),
        Asset( "ATLAS", "minimap/deerclops.xml" ),
        Asset( "IMAGE", "minimap/dragonfly.tex" ),
        Asset( "ATLAS", "minimap/dragonfly.xml" ),
        Asset( "IMAGE", "minimap/moose.tex" ),
        Asset( "ATLAS", "minimap/moose.xml" ), 
        Asset( "IMAGE", "minimap/leif_sparse.tex" ),
        Asset( "ATLAS", "minimap/leif_sparse.xml" ), 
        Asset( "IMAGE", "minimap/leif.tex" ),
        Asset( "ATLAS", "minimap/leif.xml" ), 
        Asset( "IMAGE", "minimap/houndbone.tex" ),
        Asset( "ATLAS", "minimap/houndbone.xml" ),   
        Asset( "IMAGE", "minimap/minotaur.tex" ),
        Asset( "ATLAS", "minimap/minotaur.xml" ),  
        Asset( "IMAGE", "minimap/skeleton.tex" ),
        Asset( "ATLAS", "minimap/skeleton.xml" ),   
        Asset( "IMAGE", "minimap/spiderqueen.tex" ),
        Asset( "ATLAS", "minimap/spiderqueen.xml" ),
        Asset( "IMAGE", "minimap/warg.tex" ),
        Asset( "ATLAS", "minimap/warg.xml" ),   
        Asset( "IMAGE", "minimap/animal_track.tex" ),
        Asset( "ATLAS", "minimap/animal_track.xml" ), 
        Asset( "IMAGE", "minimap/dirtpile.tex" ),
        Asset( "ATLAS", "minimap/dirtpile.xml" ),     
        Asset( "IMAGE", "minimap/rock2.tex" ),
        Asset( "ATLAS", "minimap/rock2.xml" ),   
        Asset( "IMAGE", "minimap/rocky.tex" ),
        Asset( "ATLAS", "minimap/rocky.xml" ),     
        Asset( "IMAGE", "minimap/lightninggoat.tex" ),
        Asset( "ATLAS", "minimap/lightninggoat.xml" ), 
        Asset( "IMAGE", "minimap/red_mushroom.tex" ),
        Asset( "ATLAS", "minimap/red_mushroom.xml" ),     
        Asset( "IMAGE", "minimap/green_mushroom.tex" ),
        Asset( "ATLAS", "minimap/green_mushroom.xml" ),  
        Asset( "IMAGE", "minimap/blue_mushroom.tex" ),
        Asset( "ATLAS", "minimap/blue_mushroom.xml" ), 
        Asset( "IMAGE", "minimap/mandrake.tex" ),
        Asset( "ATLAS", "minimap/mandrake.xml" ), 
        Asset( "IMAGE", "minimap/waxwelljournal.tex" ),
        Asset( "ATLAS", "minimap/waxwelljournal.xml" ),
        Asset( "IMAGE", "minimap/molehill.tex" ),
        Asset( "ATLAS", "minimap/molehill.xml" ),  
        Asset( "IMAGE", "minimap/koalefant_albino.tex" ),
        Asset( "ATLAS", "minimap/koalefant_albino.xml" ),   
        Asset( "IMAGE", "minimap/teleportato_box.tex" ),
        Asset( "ATLAS", "minimap/teleportato_box.xml" ), 
        Asset( "IMAGE", "minimap/teleportato_crank.tex" ),
        Asset( "ATLAS", "minimap/teleportato_crank.xml" ), 
        Asset( "IMAGE", "minimap/teleportato_potato.tex" ),
        Asset( "ATLAS", "minimap/teleportato_potato.xml" ), 
        Asset( "IMAGE", "minimap/teleportato_ring.tex" ),
        Asset( "ATLAS", "minimap/teleportato_ring.xml" ),
        Asset( "IMAGE", "minimap/mother_goat.tex" ),
        Asset( "ATLAS", "minimap/mother_goat.xml" ), 
        Asset( "IMAGE", "minimap/flower_cave_double.tex" ),
        Asset( "ATLAS", "minimap/flower_cave_double.xml" ),
        Asset( "IMAGE", "minimap/flower_cave_triple.tex" ),
        Asset( "ATLAS", "minimap/flower_cave_triple.xml" ),
        Asset( "IMAGE", "minimap/marsh_bush.tex" ),
        Asset( "ATLAS", "minimap/marsh_bush.xml" ),
        Asset( "IMAGE", "minimap/mooseegg.tex" ),
        Asset( "ATLAS", "minimap/mooseegg.xml" ),
}
function AddMap(inst)
	local minimap = inst.entity:AddMiniMapEntity()
	minimap:SetIcon( inst.prefab .. ".tex" )
end


AddPrefabPostInit("chester_eyebone", AddMap)
AddPrefabPostInit("rabbithole", AddMap)
AddPrefabPostInit("koalefant_summer", AddMap)
AddPrefabPostInit("koalefant_winter", AddMap)
AddPrefabPostInit("koalefant_nightmare", AddMap)
AddPrefabPostInit("koalefant_feathered", AddMap)
AddPrefabPostInit("koalefant_forest", AddMap)
AddPrefabPostInit("koalefant_rocky", AddMap)
AddPrefabPostInit("beefalo", AddMap)
AddPrefabPostInit("babybeefalo", AddMap)
AddPrefabPostInit("bearger", AddMap)
AddPrefabPostInit("deerclops", AddMap)
AddPrefabPostInit("dragonfly", AddMap)
AddPrefabPostInit("moose", AddMap)
AddPrefabPostInit("leif_sparse", AddMap)
AddPrefabPostInit("leif", AddMap)
AddPrefabPostInit("houndbone", AddMap)
AddPrefabPostInit("minotaur", AddMap)
AddPrefabPostInit("skeleton", AddMap)
AddPrefabPostInit("spiderqueen", AddMap)
AddPrefabPostInit("warg", AddMap)
AddPrefabPostInit("animal_track", AddMap)
AddPrefabPostInit("dirtpile", AddMap)
AddPrefabPostInit("rock2", AddMap)
AddPrefabPostInit("rocky", AddMap)
AddPrefabPostInit("lightninggoat", AddMap)
AddPrefabPostInit("red_mushroom", AddMap)
AddPrefabPostInit("green_mushroom", AddMap)
AddPrefabPostInit("blue_mushroom", AddMap)
AddPrefabPostInit("mandrake", AddMap)
AddPrefabPostInit("waxwelljournal", AddMap)
AddPrefabPostInit("molehill", AddMap)
AddPrefabPostInit("koalefant_albino", AddMap)
AddPrefabPostInit("teleportato_box", AddMap)
AddPrefabPostInit("teleportato_crank", AddMap)
AddPrefabPostInit("teleportato_potato", AddMap)
AddPrefabPostInit("teleportato_ring", AddMap)
AddPrefabPostInit("mother_goat", AddMap)
AddPrefabPostInit("flower_cave_double", AddMap)
AddPrefabPostInit("flower_cave_triple", AddMap)
AddPrefabPostInit("marsh_bush", AddMap)
AddPrefabPostInit("mooseegg", AddMap)



AddMinimapAtlas("minimap/chester_eyebone.xml")
AddMinimapAtlas("minimap/rabbithole.xml")
AddMinimapAtlas("minimap/koalefant_summer.xml")
AddMinimapAtlas("minimap/koalefant_winter.xml")
AddMinimapAtlas("minimap/koalefant_nightmare.xml")
AddMinimapAtlas("minimap/koalefant_feathered.xml")
AddMinimapAtlas("minimap/koalefant_forest.xml")
AddMinimapAtlas("minimap/koalefant_rocky.xml")
AddMinimapAtlas("minimap/beefalo.xml")
AddMinimapAtlas("minimap/babybeefalo.xml")
AddMinimapAtlas("minimap/bearger.xml")
AddMinimapAtlas("minimap/deerclops.xml")
AddMinimapAtlas("minimap/dragonfly.xml")
AddMinimapAtlas("minimap/moose.xml")
AddMinimapAtlas("minimap/leif_sparse.xml")
AddMinimapAtlas("minimap/leif.xml")
AddMinimapAtlas("minimap/houndbone.xml")
AddMinimapAtlas("minimap/minotaur.xml")
AddMinimapAtlas("minimap/skeleton.xml")
AddMinimapAtlas("minimap/spiderqueen.xml")
AddMinimapAtlas("minimap/warg.xml")
AddMinimapAtlas("minimap/animal_track.xml")
AddMinimapAtlas("minimap/dirtpile.xml")
AddMinimapAtlas("minimap/rock2.xml")
AddMinimapAtlas("minimap/rocky.xml")
AddMinimapAtlas("minimap/lightninggoat.xml")
AddMinimapAtlas("minimap/red_mushroom.xml")
AddMinimapAtlas("minimap/green_mushroom.xml")
AddMinimapAtlas("minimap/blue_mushroom.xml")
AddMinimapAtlas("minimap/mandrake.xml")
AddMinimapAtlas("minimap/waxwelljournal.xml")
AddMinimapAtlas("minimap/molehill.xml")
AddMinimapAtlas("minimap/koalefant_albino.xml")
AddMinimapAtlas("minimap/teleportato_box.xml")
AddMinimapAtlas("minimap/teleportato_crank.xml")
AddMinimapAtlas("minimap/teleportato_potato.xml")
AddMinimapAtlas("minimap/teleportato_ring.xml")
AddMinimapAtlas("minimap/mother_goat.xml")
AddMinimapAtlas("minimap/flower_cave_double.xml")
AddMinimapAtlas("minimap/flower_cave_triple.xml")
AddMinimapAtlas("minimap/marsh_bush.xml")
AddMinimapAtlas("minimap/mooseegg.xml")